TechDraw Quadrants

From FreeCAD Documentation
Revision as of 21:11, 29 March 2020 by Renatorivo (talk | contribs) (Marked this version for translation)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎français • ‎italiano

TechDraw Quadrants.svg TechDraw Quadrants

Menu location
TechDraw → Add Vertices → Add Quadrant Vertices
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.19
See also
Add Cosmetic Vertex, Add Midpoint Vertices


Description

The Quadrant tool adds Cosmetic Vertices at the 90/180/270° points of a circular edge. The 0° vertex should already be there as a geometric vertex.

TechDraw CosmeticQuadrant Sample.png

Cosmetic vertices at quadrant points of a circle


Usage

  1. Select one or more (circular) Edges in a View.
  2. Press the TechDraw Quadrants.svg Add Quadrant Vertices button.
  3. Cosmetic vertices will be added at the quarter-points of the edges.

Note: This tool can be used on any edge, not just circles.

To delete a Quadrant Vertex, select it and use the toolbar button TechDraw CosmeticEraser.svg Remove Cosmetic Object.

Properties

Cosmetic Vertices have no properties of their own, as they are not Document Objects. They share color and size settings with regular geometry vertices.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

Cosmetic Vertices are not accessible from macros or the Python console at this time. This snippet will remove all Cosmetic Vertices from the View.

>>> v = App.ActiveDocument.View
>>> v.clearCV()
>>> App.activeDocument().recompute()